Pod::Spec.new do |s|
    s.name             = 'BJVideoPlayerUI'
    s.version          = '2.10.4'
    s.summary          = 'BJVideoPlayerUI SDK'
    s.description      = "BJVideoPlayerUI SDK for iOS."
    
    s.homepage         = 'https://www.baijiayun.com/'
    s.license          = { :type => 'MIT', :file => 'LICENSE' }
    s.author           = { '辛亚鹏' => 'xinyapeng@baijiahulian.com' }
    s.source           = { :git =>  'https://git.baijiashilian.com/open-ios/BJVideoPlayerUI.git', :tag => s.version.to_s }
    s.frameworks       = ['CoreGraphics', 'Foundation', 'CoreServices', 'Photos', 'UIKit', 'CoreTelephony', 'CoreMedia', 'AVFoundation', 'AVKit', 'MediaPlayer']

    s.platform      = :ios, "10.0"
    s.ios.deployment_target = "10.0"
    
    s.requires_arc = true
    
    # use <"> but not <'> for #{s.name} and #{s.version}
    s.pod_target_xcconfig = {
        "CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES" => "YES", # requies both `user_target_xcconfig` and `pod_target_xcconfig`
        "GCC_PREPROCESSOR_DEFINITIONS" => "$(inherited) BJVIDEOPLAYERUI_NAME=#{s.name} BJVIDEOPLAYERUI_VERSION=#{s.version}"
        
    }
    s.user_target_xcconfig = {
        "CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES" => "YES" # requies both `user_target_xcconfig` and `pod_target_xcconfig`
    }
    
    s.default_subspecs = ['static.source']
    
    ## 源码集成
    s.subspec 'static.source' do |ss|
      ss.source_files = 'BJVideoPlayerUI/Classes/**/*'
      ss.resource_bundles = {
        'BJVideoPlayerUI' => ['BJVideoPlayerUI/Assets/*.png']
      }
    end
    
    s.dependency "BaijiaYun/BJVideoPlayerCore", "~> 2.10.4"
end
